Package wx :: Class RealPoint

[frames | no frames]

## Type RealPoint

    object --+
             |
            RealPoint

A data structure for representing a point or position with floating point x and y properties. In wxPython most places that expect a wx.RealPoint can also accept a (x,y) tuple.

Method Summary
RealPoint | ``__init__`(self, x, y)` Create a wx.RealPoint object
RealPoint | ``__add__`(self, pt)` Add pt's proprties to this and return the result.
| `__del__(self)`
bool | ``__eq__`(self, other)` Test for equality of wx.RealPoint objects.
| `__getitem__(self, index)`
| `__len__(self)`
bool | ``__ne__`(self, other)` Test for inequality of wx.RealPoint objects.
| `__nonzero__(self)`
| `__reduce__(self)`
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
RealPoint | ``__sub__`(self, pt)` Subtract pt's proprties from this and return the result
| ``asTuple`(*args, **kwargs)` asTuple is deprecated, use `Get` instead
(x,y) | ``Get`()` Return the x and y properties as a tuple.
| ``Set`(self, x, y)` Set both the x and y properties

Property Summary
| `thisown`: The membership flag
| `x`
| `y`

Class Variable Summary
`bool` | `__safe_for_unpickling__` = `True`

Method Details

### __init__(self, x=0.0, y=0.0)
(Constructor)

Create a wx.RealPoint object

  Parameters:
    `x`
    (type=double)

    `y`
    (type=double)

  Returns:
    RealPoint
  Overrides:
    `__builtin__.object.__init__`

### __add__(self, pt)
(Addition operator)

Add pt's proprties to this and return the result.

  Parameters:
    `pt`
    (type=RealPoint)

  Returns:
    RealPoint

### __eq__(self, other)
(Equality operator)

Test for equality of wx.RealPoint objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __ne__(self, other)

Test for inequality of wx.RealPoint objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __sub__(self, pt)
(Subtraction operator)

Subtract pt's proprties from this and return the result

  Parameters:
    `pt`
    (type=RealPoint)

  Returns:
    RealPoint

### asTuple(*args, **kwargs)

asTuple is deprecated, use `Get` instead

### Get()

Return the x and y properties as a tuple.

  Returns:
    (x,y)

### Set(self, x, y)

Set both the x and y properties

  Parameters:
    `x`
    (type=double)

    `y`
    (type=double)

Property Details

### thisown

The membership flag

Class Variable Details

### __safe_for_unpickling__

  Type:
    `bool`
  Value:

        True

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:01 2007 | http://epydoc.sf.net